"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var RekognitionClient_1 = require("./RekognitionClient");
var CompareFacesCommand_1 = require("./commands/CompareFacesCommand");
var CreateCollectionCommand_1 = require("./commands/CreateCollectionCommand");
var CreateStreamProcessorCommand_1 = require("./commands/CreateStreamProcessorCommand");
var DeleteCollectionCommand_1 = require("./commands/DeleteCollectionCommand");
var DeleteFacesCommand_1 = require("./commands/DeleteFacesCommand");
var DeleteStreamProcessorCommand_1 = require("./commands/DeleteStreamProcessorCommand");
var DescribeCollectionCommand_1 = require("./commands/DescribeCollectionCommand");
var DescribeStreamProcessorCommand_1 = require("./commands/DescribeStreamProcessorCommand");
var DetectFacesCommand_1 = require("./commands/DetectFacesCommand");
var DetectLabelsCommand_1 = require("./commands/DetectLabelsCommand");
var DetectModerationLabelsCommand_1 = require("./commands/DetectModerationLabelsCommand");
var DetectTextCommand_1 = require("./commands/DetectTextCommand");
var GetCelebrityInfoCommand_1 = require("./commands/GetCelebrityInfoCommand");
var GetCelebrityRecognitionCommand_1 = require("./commands/GetCelebrityRecognitionCommand");
var GetContentModerationCommand_1 = require("./commands/GetContentModerationCommand");
var GetFaceDetectionCommand_1 = require("./commands/GetFaceDetectionCommand");
var GetFaceSearchCommand_1 = require("./commands/GetFaceSearchCommand");
var GetLabelDetectionCommand_1 = require("./commands/GetLabelDetectionCommand");
var GetPersonTrackingCommand_1 = require("./commands/GetPersonTrackingCommand");
var IndexFacesCommand_1 = require("./commands/IndexFacesCommand");
var ListCollectionsCommand_1 = require("./commands/ListCollectionsCommand");
var ListFacesCommand_1 = require("./commands/ListFacesCommand");
var ListStreamProcessorsCommand_1 = require("./commands/ListStreamProcessorsCommand");
var RecognizeCelebritiesCommand_1 = require("./commands/RecognizeCelebritiesCommand");
var SearchFacesByImageCommand_1 = require("./commands/SearchFacesByImageCommand");
var SearchFacesCommand_1 = require("./commands/SearchFacesCommand");
var StartCelebrityRecognitionCommand_1 = require("./commands/StartCelebrityRecognitionCommand");
var StartContentModerationCommand_1 = require("./commands/StartContentModerationCommand");
var StartFaceDetectionCommand_1 = require("./commands/StartFaceDetectionCommand");
var StartFaceSearchCommand_1 = require("./commands/StartFaceSearchCommand");
var StartLabelDetectionCommand_1 = require("./commands/StartLabelDetectionCommand");
var StartPersonTrackingCommand_1 = require("./commands/StartPersonTrackingCommand");
var StartStreamProcessorCommand_1 = require("./commands/StartStreamProcessorCommand");
var StopStreamProcessorCommand_1 = require("./commands/StopStreamProcessorCommand");
var Rekognition = /** @class */ (function (_super) {
    tslib_1.__extends(Rekognition, _super);
    function Rekognition() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Rekognition.prototype.compareFaces = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CompareFacesCommand_1.CompareFacesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.createCollection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCollectionCommand_1.CreateCollectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.createStreamProcessor = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateStreamProcessorCommand_1.CreateStreamProcessorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.deleteCollection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCollectionCommand_1.DeleteCollectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.deleteFaces = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteFacesCommand_1.DeleteFacesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.deleteStreamProcessor = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteStreamProcessorCommand_1.DeleteStreamProcessorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.describeCollection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCollectionCommand_1.DescribeCollectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.describeStreamProcessor = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeStreamProcessorCommand_1.DescribeStreamProcessorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.detectFaces = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DetectFacesCommand_1.DetectFacesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.detectLabels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DetectLabelsCommand_1.DetectLabelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.detectModerationLabels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DetectModerationLabelsCommand_1.DetectModerationLabelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.detectText = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DetectTextCommand_1.DetectTextCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.getCelebrityInfo = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCelebrityInfoCommand_1.GetCelebrityInfoCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.getCelebrityRecognition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCelebrityRecognitionCommand_1.GetCelebrityRecognitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.getContentModeration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetContentModerationCommand_1.GetContentModerationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.getFaceDetection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetFaceDetectionCommand_1.GetFaceDetectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.getFaceSearch = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetFaceSearchCommand_1.GetFaceSearchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.getLabelDetection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetLabelDetectionCommand_1.GetLabelDetectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.getPersonTracking = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPersonTrackingCommand_1.GetPersonTrackingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.indexFaces = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new IndexFacesCommand_1.IndexFacesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.listCollections = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListCollectionsCommand_1.ListCollectionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.listFaces = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListFacesCommand_1.ListFacesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.listStreamProcessors = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListStreamProcessorsCommand_1.ListStreamProcessorsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.recognizeCelebrities = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RecognizeCelebritiesCommand_1.RecognizeCelebritiesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.searchFaces = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SearchFacesCommand_1.SearchFacesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.searchFacesByImage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SearchFacesByImageCommand_1.SearchFacesByImageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.startCelebrityRecognition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartCelebrityRecognitionCommand_1.StartCelebrityRecognitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.startContentModeration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartContentModerationCommand_1.StartContentModerationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.startFaceDetection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartFaceDetectionCommand_1.StartFaceDetectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.startFaceSearch = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartFaceSearchCommand_1.StartFaceSearchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.startLabelDetection = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartLabelDetectionCommand_1.StartLabelDetectionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.startPersonTracking = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartPersonTrackingCommand_1.StartPersonTrackingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.startStreamProcessor = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartStreamProcessorCommand_1.StartStreamProcessorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Rekognition.prototype.stopStreamProcessor = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopStreamProcessorCommand_1.StopStreamProcessorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return Rekognition;
}(RekognitionClient_1.RekognitionClient));
exports.Rekognition = Rekognition;
//# sourceMappingURL=Rekognition.js.map