"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CompareFaces_1 = require("../model/operations/CompareFaces");
var CompareFacesCommand = /** @class */ (function () {
    function CompareFacesCommand(input) {
        this.input = input;
        this.model = CompareFaces_1.CompareFaces;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CompareFacesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CompareFacesCommand;
}());
exports.CompareFacesCommand = CompareFacesCommand;
//# sourceMappingURL=CompareFacesCommand.js.map