"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCollection_1 = require("../model/operations/CreateCollection");
var CreateCollectionCommand = /** @class */ (function () {
    function CreateCollectionCommand(input) {
        this.input = input;
        this.model = CreateCollection_1.CreateCollection;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCollectionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCollectionCommand;
}());
exports.CreateCollectionCommand = CreateCollectionCommand;
//# sourceMappingURL=CreateCollectionCommand.js.map