/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateStreamProcessorInput } from "../types/CreateStreamProcessorInput";
import { CreateStreamProcessorOutput } from "../types/CreateStreamProcessorOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/CreateStreamProcessorInput";
export * from "../types/CreateStreamProcessorOutput";
export * from "../types/CreateStreamProcessorExceptionsUnion";
export declare class CreateStreamProcessorCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateStreamProcessorInput, OutputTypesUnion, CreateStreamProcessorOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: CreateStreamProcessorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateStreamProcessorInput, CreateStreamProcessorOutput, _stream.Readable>;
    constructor(input: CreateStreamProcessorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<CreateStreamProcessorInput, CreateStreamProcessorOutput>;
}
