"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCollection_1 = require("../model/operations/DeleteCollection");
var DeleteCollectionCommand = /** @class */ (function () {
    function DeleteCollectionCommand(input) {
        this.input = input;
        this.model = DeleteCollection_1.DeleteCollection;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCollectionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCollectionCommand;
}());
exports.DeleteCollectionCommand = DeleteCollectionCommand;
//# sourceMappingURL=DeleteCollectionCommand.js.map