"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteFaces_1 = require("../model/operations/DeleteFaces");
var DeleteFacesCommand = /** @class */ (function () {
    function DeleteFacesCommand(input) {
        this.input = input;
        this.model = DeleteFaces_1.DeleteFaces;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteFacesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteFacesCommand;
}());
exports.DeleteFacesCommand = DeleteFacesCommand;
//# sourceMappingURL=DeleteFacesCommand.js.map