"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteStreamProcessor_1 = require("../model/operations/DeleteStreamProcessor");
var DeleteStreamProcessorCommand = /** @class */ (function () {
    function DeleteStreamProcessorCommand(input) {
        this.input = input;
        this.model = DeleteStreamProcessor_1.DeleteStreamProcessor;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteStreamProcessorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteStreamProcessorCommand;
}());
exports.DeleteStreamProcessorCommand = DeleteStreamProcessorCommand;
//# sourceMappingURL=DeleteStreamProcessorCommand.js.map