"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCollection_1 = require("../model/operations/DescribeCollection");
var DescribeCollectionCommand = /** @class */ (function () {
    function DescribeCollectionCommand(input) {
        this.input = input;
        this.model = DescribeCollection_1.DescribeCollection;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCollectionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCollectionCommand;
}());
exports.DescribeCollectionCommand = DescribeCollectionCommand;
//# sourceMappingURL=DescribeCollectionCommand.js.map