"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeStreamProcessor_1 = require("../model/operations/DescribeStreamProcessor");
var DescribeStreamProcessorCommand = /** @class */ (function () {
    function DescribeStreamProcessorCommand(input) {
        this.input = input;
        this.model = DescribeStreamProcessor_1.DescribeStreamProcessor;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeStreamProcessorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeStreamProcessorCommand;
}());
exports.DescribeStreamProcessorCommand = DescribeStreamProcessorCommand;
//# sourceMappingURL=DescribeStreamProcessorCommand.js.map