"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DetectFaces_1 = require("../model/operations/DetectFaces");
var DetectFacesCommand = /** @class */ (function () {
    function DetectFacesCommand(input) {
        this.input = input;
        this.model = DetectFaces_1.DetectFaces;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DetectFacesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DetectFacesCommand;
}());
exports.DetectFacesCommand = DetectFacesCommand;
//# sourceMappingURL=DetectFacesCommand.js.map