"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DetectLabels_1 = require("../model/operations/DetectLabels");
var DetectLabelsCommand = /** @class */ (function () {
    function DetectLabelsCommand(input) {
        this.input = input;
        this.model = DetectLabels_1.DetectLabels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DetectLabelsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DetectLabelsCommand;
}());
exports.DetectLabelsCommand = DetectLabelsCommand;
//# sourceMappingURL=DetectLabelsCommand.js.map