"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DetectModerationLabels_1 = require("../model/operations/DetectModerationLabels");
var DetectModerationLabelsCommand = /** @class */ (function () {
    function DetectModerationLabelsCommand(input) {
        this.input = input;
        this.model = DetectModerationLabels_1.DetectModerationLabels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DetectModerationLabelsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DetectModerationLabelsCommand;
}());
exports.DetectModerationLabelsCommand = DetectModerationLabelsCommand;
//# sourceMappingURL=DetectModerationLabelsCommand.js.map