"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DetectText_1 = require("../model/operations/DetectText");
var DetectTextCommand = /** @class */ (function () {
    function DetectTextCommand(input) {
        this.input = input;
        this.model = DetectText_1.DetectText;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DetectTextCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DetectTextCommand;
}());
exports.DetectTextCommand = DetectTextCommand;
//# sourceMappingURL=DetectTextCommand.js.map