"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCelebrityInfo_1 = require("../model/operations/GetCelebrityInfo");
var GetCelebrityInfoCommand = /** @class */ (function () {
    function GetCelebrityInfoCommand(input) {
        this.input = input;
        this.model = GetCelebrityInfo_1.GetCelebrityInfo;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCelebrityInfoCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCelebrityInfoCommand;
}());
exports.GetCelebrityInfoCommand = GetCelebrityInfoCommand;
//# sourceMappingURL=GetCelebrityInfoCommand.js.map