"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetContentModeration_1 = require("../model/operations/GetContentModeration");
var GetContentModerationCommand = /** @class */ (function () {
    function GetContentModerationCommand(input) {
        this.input = input;
        this.model = GetContentModeration_1.GetContentModeration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetContentModerationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetContentModerationCommand;
}());
exports.GetContentModerationCommand = GetContentModerationCommand;
//# sourceMappingURL=GetContentModerationCommand.js.map