"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetFaceDetection_1 = require("../model/operations/GetFaceDetection");
var GetFaceDetectionCommand = /** @class */ (function () {
    function GetFaceDetectionCommand(input) {
        this.input = input;
        this.model = GetFaceDetection_1.GetFaceDetection;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetFaceDetectionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetFaceDetectionCommand;
}());
exports.GetFaceDetectionCommand = GetFaceDetectionCommand;
//# sourceMappingURL=GetFaceDetectionCommand.js.map