"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetFaceSearch_1 = require("../model/operations/GetFaceSearch");
var GetFaceSearchCommand = /** @class */ (function () {
    function GetFaceSearchCommand(input) {
        this.input = input;
        this.model = GetFaceSearch_1.GetFaceSearch;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetFaceSearchCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetFaceSearchCommand;
}());
exports.GetFaceSearchCommand = GetFaceSearchCommand;
//# sourceMappingURL=GetFaceSearchCommand.js.map