"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetLabelDetection_1 = require("../model/operations/GetLabelDetection");
var GetLabelDetectionCommand = /** @class */ (function () {
    function GetLabelDetectionCommand(input) {
        this.input = input;
        this.model = GetLabelDetection_1.GetLabelDetection;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetLabelDetectionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetLabelDetectionCommand;
}());
exports.GetLabelDetectionCommand = GetLabelDetectionCommand;
//# sourceMappingURL=GetLabelDetectionCommand.js.map