"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPersonTracking_1 = require("../model/operations/GetPersonTracking");
var GetPersonTrackingCommand = /** @class */ (function () {
    function GetPersonTrackingCommand(input) {
        this.input = input;
        this.model = GetPersonTracking_1.GetPersonTracking;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPersonTrackingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPersonTrackingCommand;
}());
exports.GetPersonTrackingCommand = GetPersonTrackingCommand;
//# sourceMappingURL=GetPersonTrackingCommand.js.map