"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var IndexFaces_1 = require("../model/operations/IndexFaces");
var IndexFacesCommand = /** @class */ (function () {
    function IndexFacesCommand(input) {
        this.input = input;
        this.model = IndexFaces_1.IndexFaces;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    IndexFacesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return IndexFacesCommand;
}());
exports.IndexFacesCommand = IndexFacesCommand;
//# sourceMappingURL=IndexFacesCommand.js.map