"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListCollections_1 = require("../model/operations/ListCollections");
var ListCollectionsCommand = /** @class */ (function () {
    function ListCollectionsCommand(input) {
        this.input = input;
        this.model = ListCollections_1.ListCollections;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListCollectionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListCollectionsCommand;
}());
exports.ListCollectionsCommand = ListCollectionsCommand;
//# sourceMappingURL=ListCollectionsCommand.js.map