"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListFaces_1 = require("../model/operations/ListFaces");
var ListFacesCommand = /** @class */ (function () {
    function ListFacesCommand(input) {
        this.input = input;
        this.model = ListFaces_1.ListFaces;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListFacesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListFacesCommand;
}());
exports.ListFacesCommand = ListFacesCommand;
//# sourceMappingURL=ListFacesCommand.js.map