"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListStreamProcessors_1 = require("../model/operations/ListStreamProcessors");
var ListStreamProcessorsCommand = /** @class */ (function () {
    function ListStreamProcessorsCommand(input) {
        this.input = input;
        this.model = ListStreamProcessors_1.ListStreamProcessors;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListStreamProcessorsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListStreamProcessorsCommand;
}());
exports.ListStreamProcessorsCommand = ListStreamProcessorsCommand;
//# sourceMappingURL=ListStreamProcessorsCommand.js.map