"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RecognizeCelebrities_1 = require("../model/operations/RecognizeCelebrities");
var RecognizeCelebritiesCommand = /** @class */ (function () {
    function RecognizeCelebritiesCommand(input) {
        this.input = input;
        this.model = RecognizeCelebrities_1.RecognizeCelebrities;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RecognizeCelebritiesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RecognizeCelebritiesCommand;
}());
exports.RecognizeCelebritiesCommand = RecognizeCelebritiesCommand;
//# sourceMappingURL=RecognizeCelebritiesCommand.js.map