"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SearchFacesByImage_1 = require("../model/operations/SearchFacesByImage");
var SearchFacesByImageCommand = /** @class */ (function () {
    function SearchFacesByImageCommand(input) {
        this.input = input;
        this.model = SearchFacesByImage_1.SearchFacesByImage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SearchFacesByImageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SearchFacesByImageCommand;
}());
exports.SearchFacesByImageCommand = SearchFacesByImageCommand;
//# sourceMappingURL=SearchFacesByImageCommand.js.map