"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SearchFaces_1 = require("../model/operations/SearchFaces");
var SearchFacesCommand = /** @class */ (function () {
    function SearchFacesCommand(input) {
        this.input = input;
        this.model = SearchFaces_1.SearchFaces;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SearchFacesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SearchFacesCommand;
}());
exports.SearchFacesCommand = SearchFacesCommand;
//# sourceMappingURL=SearchFacesCommand.js.map