"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartCelebrityRecognition_1 = require("../model/operations/StartCelebrityRecognition");
var StartCelebrityRecognitionCommand = /** @class */ (function () {
    function StartCelebrityRecognitionCommand(input) {
        this.input = input;
        this.model = StartCelebrityRecognition_1.StartCelebrityRecognition;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartCelebrityRecognitionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartCelebrityRecognitionCommand;
}());
exports.StartCelebrityRecognitionCommand = StartCelebrityRecognitionCommand;
//# sourceMappingURL=StartCelebrityRecognitionCommand.js.map