"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartContentModeration_1 = require("../model/operations/StartContentModeration");
var StartContentModerationCommand = /** @class */ (function () {
    function StartContentModerationCommand(input) {
        this.input = input;
        this.model = StartContentModeration_1.StartContentModeration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartContentModerationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartContentModerationCommand;
}());
exports.StartContentModerationCommand = StartContentModerationCommand;
//# sourceMappingURL=StartContentModerationCommand.js.map