"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartFaceDetection_1 = require("../model/operations/StartFaceDetection");
var StartFaceDetectionCommand = /** @class */ (function () {
    function StartFaceDetectionCommand(input) {
        this.input = input;
        this.model = StartFaceDetection_1.StartFaceDetection;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartFaceDetectionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartFaceDetectionCommand;
}());
exports.StartFaceDetectionCommand = StartFaceDetectionCommand;
//# sourceMappingURL=StartFaceDetectionCommand.js.map