"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartFaceSearch_1 = require("../model/operations/StartFaceSearch");
var StartFaceSearchCommand = /** @class */ (function () {
    function StartFaceSearchCommand(input) {
        this.input = input;
        this.model = StartFaceSearch_1.StartFaceSearch;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartFaceSearchCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartFaceSearchCommand;
}());
exports.StartFaceSearchCommand = StartFaceSearchCommand;
//# sourceMappingURL=StartFaceSearchCommand.js.map