"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartLabelDetection_1 = require("../model/operations/StartLabelDetection");
var StartLabelDetectionCommand = /** @class */ (function () {
    function StartLabelDetectionCommand(input) {
        this.input = input;
        this.model = StartLabelDetection_1.StartLabelDetection;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartLabelDetectionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartLabelDetectionCommand;
}());
exports.StartLabelDetectionCommand = StartLabelDetectionCommand;
//# sourceMappingURL=StartLabelDetectionCommand.js.map