"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartStreamProcessor_1 = require("../model/operations/StartStreamProcessor");
var StartStreamProcessorCommand = /** @class */ (function () {
    function StartStreamProcessorCommand(input) {
        this.input = input;
        this.model = StartStreamProcessor_1.StartStreamProcessor;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartStreamProcessorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartStreamProcessorCommand;
}());
exports.StartStreamProcessorCommand = StartStreamProcessorCommand;
//# sourceMappingURL=StartStreamProcessorCommand.js.map