"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CompareFacesInput_1 = require("../shapes/CompareFacesInput");
var CompareFacesOutput_1 = require("../shapes/CompareFacesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidS3ObjectException_1 = require("../shapes/InvalidS3ObjectException");
var ImageTooLargeException_1 = require("../shapes/ImageTooLargeException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var InvalidImageFormatException_1 = require("../shapes/InvalidImageFormatException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CompareFaces = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CompareFaces",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CompareFacesInput_1.CompareFacesInput
    },
    output: {
        shape: CompareFacesOutput_1.CompareFacesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidS3ObjectException_1.InvalidS3ObjectException
        },
        {
            shape: ImageTooLargeException_1.ImageTooLargeException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: InvalidImageFormatException_1.InvalidImageFormatException
        }
    ]
};
//# sourceMappingURL=CompareFaces.js.map