"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateCollectionInput_1 = require("../shapes/CreateCollectionInput");
var CreateCollectionOutput_1 = require("../shapes/CreateCollectionOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCollection = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCollection",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCollectionInput_1.CreateCollectionInput
    },
    output: {
        shape: CreateCollectionOutput_1.CreateCollectionOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        }
    ]
};
//# sourceMappingURL=CreateCollection.js.map