"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateStreamProcessorInput_1 = require("../shapes/CreateStreamProcessorInput");
var CreateStreamProcessorOutput_1 = require("../shapes/CreateStreamProcessorOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateStreamProcessor = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateStreamProcessor",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateStreamProcessorInput_1.CreateStreamProcessorInput
    },
    output: {
        shape: CreateStreamProcessorOutput_1.CreateStreamProcessorOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        }
    ]
};
//# sourceMappingURL=CreateStreamProcessor.js.map