"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCollectionInput_1 = require("../shapes/DeleteCollectionInput");
var DeleteCollectionOutput_1 = require("../shapes/DeleteCollectionOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCollection = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCollection",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCollectionInput_1.DeleteCollectionInput
    },
    output: {
        shape: DeleteCollectionOutput_1.DeleteCollectionOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteCollection.js.map