"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteStreamProcessorInput_1 = require("../shapes/DeleteStreamProcessorInput");
var DeleteStreamProcessorOutput_1 = require("../shapes/DeleteStreamProcessorOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteStreamProcessor = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteStreamProcessor",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteStreamProcessorInput_1.DeleteStreamProcessorInput
    },
    output: {
        shape: DeleteStreamProcessorOutput_1.DeleteStreamProcessorOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        }
    ]
};
//# sourceMappingURL=DeleteStreamProcessor.js.map