"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeCollectionInput_1 = require("../shapes/DescribeCollectionInput");
var DescribeCollectionOutput_1 = require("../shapes/DescribeCollectionOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCollection = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCollection",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCollectionInput_1.DescribeCollectionInput
    },
    output: {
        shape: DescribeCollectionOutput_1.DescribeCollectionOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeCollection.js.map