"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeStreamProcessorInput_1 = require("../shapes/DescribeStreamProcessorInput");
var DescribeStreamProcessorOutput_1 = require("../shapes/DescribeStreamProcessorOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeStreamProcessor = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeStreamProcessor",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeStreamProcessorInput_1.DescribeStreamProcessorInput
    },
    output: {
        shape: DescribeStreamProcessorOutput_1.DescribeStreamProcessorOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        }
    ]
};
//# sourceMappingURL=DescribeStreamProcessor.js.map