"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DetectLabelsInput_1 = require("../shapes/DetectLabelsInput");
var DetectLabelsOutput_1 = require("../shapes/DetectLabelsOutput");
var InvalidS3ObjectException_1 = require("../shapes/InvalidS3ObjectException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ImageTooLargeException_1 = require("../shapes/ImageTooLargeException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var InvalidImageFormatException_1 = require("../shapes/InvalidImageFormatException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DetectLabels = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DetectLabels",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DetectLabelsInput_1.DetectLabelsInput
    },
    output: {
        shape: DetectLabelsOutput_1.DetectLabelsOutput
    },
    errors: [
        {
            shape: InvalidS3ObjectException_1.InvalidS3ObjectException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ImageTooLargeException_1.ImageTooLargeException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: InvalidImageFormatException_1.InvalidImageFormatException
        }
    ]
};
//# sourceMappingURL=DetectLabels.js.map