"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DetectModerationLabelsInput_1 = require("../shapes/DetectModerationLabelsInput");
var DetectModerationLabelsOutput_1 = require("../shapes/DetectModerationLabelsOutput");
var InvalidS3ObjectException_1 = require("../shapes/InvalidS3ObjectException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ImageTooLargeException_1 = require("../shapes/ImageTooLargeException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var InvalidImageFormatException_1 = require("../shapes/InvalidImageFormatException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DetectModerationLabels = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DetectModerationLabels",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DetectModerationLabelsInput_1.DetectModerationLabelsInput
    },
    output: {
        shape: DetectModerationLabelsOutput_1.DetectModerationLabelsOutput
    },
    errors: [
        {
            shape: InvalidS3ObjectException_1.InvalidS3ObjectException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ImageTooLargeException_1.ImageTooLargeException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: InvalidImageFormatException_1.InvalidImageFormatException
        }
    ]
};
//# sourceMappingURL=DetectModerationLabels.js.map