"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPersonTrackingInput_1 = require("../shapes/GetPersonTrackingInput");
var GetPersonTrackingOutput_1 = require("../shapes/GetPersonTrackingOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidPaginationTokenException_1 = require("../shapes/InvalidPaginationTokenException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPersonTracking = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPersonTracking",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetPersonTrackingInput_1.GetPersonTrackingInput
    },
    output: {
        shape: GetPersonTrackingOutput_1.GetPersonTrackingOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidPaginationTokenException_1.InvalidPaginationTokenException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=GetPersonTracking.js.map