"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var IndexFacesInput_1 = require("../shapes/IndexFacesInput");
var IndexFacesOutput_1 = require("../shapes/IndexFacesOutput");
var InvalidS3ObjectException_1 = require("../shapes/InvalidS3ObjectException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ImageTooLargeException_1 = require("../shapes/ImageTooLargeException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidImageFormatException_1 = require("../shapes/InvalidImageFormatException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.IndexFaces = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "IndexFaces",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: IndexFacesInput_1.IndexFacesInput
    },
    output: {
        shape: IndexFacesOutput_1.IndexFacesOutput
    },
    errors: [
        {
            shape: InvalidS3ObjectException_1.InvalidS3ObjectException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ImageTooLargeException_1.ImageTooLargeException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidImageFormatException_1.InvalidImageFormatException
        }
    ]
};
//# sourceMappingURL=IndexFaces.js.map