"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListCollectionsInput_1 = require("../shapes/ListCollectionsInput");
var ListCollectionsOutput_1 = require("../shapes/ListCollectionsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var InvalidPaginationTokenException_1 = require("../shapes/InvalidPaginationTokenException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListCollections = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListCollections",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListCollectionsInput_1.ListCollectionsInput
    },
    output: {
        shape: ListCollectionsOutput_1.ListCollectionsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: InvalidPaginationTokenException_1.InvalidPaginationTokenException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=ListCollections.js.map