"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListFacesInput_1 = require("../shapes/ListFacesInput");
var ListFacesOutput_1 = require("../shapes/ListFacesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var InvalidPaginationTokenException_1 = require("../shapes/InvalidPaginationTokenException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListFaces = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListFaces",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListFacesInput_1.ListFacesInput
    },
    output: {
        shape: ListFacesOutput_1.ListFacesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: InvalidPaginationTokenException_1.InvalidPaginationTokenException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=ListFaces.js.map