"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListStreamProcessorsInput_1 = require("../shapes/ListStreamProcessorsInput");
var ListStreamProcessorsOutput_1 = require("../shapes/ListStreamProcessorsOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidPaginationTokenException_1 = require("../shapes/InvalidPaginationTokenException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListStreamProcessors = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListStreamProcessors",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListStreamProcessorsInput_1.ListStreamProcessorsInput
    },
    output: {
        shape: ListStreamProcessorsOutput_1.ListStreamProcessorsOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidPaginationTokenException_1.InvalidPaginationTokenException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        }
    ]
};
//# sourceMappingURL=ListStreamProcessors.js.map