"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SearchFacesInput_1 = require("../shapes/SearchFacesInput");
var SearchFacesOutput_1 = require("../shapes/SearchFacesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SearchFaces = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SearchFaces",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SearchFacesInput_1.SearchFacesInput
    },
    output: {
        shape: SearchFacesOutput_1.SearchFacesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=SearchFaces.js.map