"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartFaceDetectionInput_1 = require("../shapes/StartFaceDetectionInput");
var StartFaceDetectionOutput_1 = require("../shapes/StartFaceDetectionOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidS3ObjectException_1 = require("../shapes/InvalidS3ObjectException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var VideoTooLargeException_1 = require("../shapes/VideoTooLargeException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartFaceDetection = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartFaceDetection",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartFaceDetectionInput_1.StartFaceDetectionInput
    },
    output: {
        shape: StartFaceDetectionOutput_1.StartFaceDetectionOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidS3ObjectException_1.InvalidS3ObjectException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: VideoTooLargeException_1.VideoTooLargeException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=StartFaceDetection.js.map