"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartPersonTrackingInput_1 = require("../shapes/StartPersonTrackingInput");
var StartPersonTrackingOutput_1 = require("../shapes/StartPersonTrackingOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidS3ObjectException_1 = require("../shapes/InvalidS3ObjectException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var VideoTooLargeException_1 = require("../shapes/VideoTooLargeException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartPersonTracking = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartPersonTracking",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartPersonTrackingInput_1.StartPersonTrackingInput
    },
    output: {
        shape: StartPersonTrackingOutput_1.StartPersonTrackingOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidS3ObjectException_1.InvalidS3ObjectException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: VideoTooLargeException_1.VideoTooLargeException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=StartPersonTracking.js.map