"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartStreamProcessorInput_1 = require("../shapes/StartStreamProcessorInput");
var StartStreamProcessorOutput_1 = require("../shapes/StartStreamProcessorOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartStreamProcessor = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartStreamProcessor",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartStreamProcessorInput_1.StartStreamProcessorInput
    },
    output: {
        shape: StartStreamProcessorOutput_1.StartStreamProcessorOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        }
    ]
};
//# sourceMappingURL=StartStreamProcessor.js.map