/**
 * <p>The X and Y coordinates of a point on an image. The X and Y values returned are ratios of the overall image size. For example, if the input image is 700x200 and the operation returns X=0.5 and Y=0.25, then the point is at the (350,50) pixel coordinate on the image.</p> <p>An array of <code>Point</code> objects, <code>Polygon</code>, is returned by <a>DetectText</a>. <code>Polygon</code> represents a fine-grained polygon around detected text. For more information, see Geometry in the Amazon Rekognition Developer Guide. </p>
 */
export interface _Point {
    /**
     * <p>The value of the X coordinate for a point on a <code>Polygon</code>.</p>
     */
    X?: number;
    /**
     * <p>The value of the Y coordinate for a point on a <code>Polygon</code>.</p>
     */
    Y?: number;
}
export declare type _UnmarshalledPoint = _Point;
